package com.zjrs.zwnw.psam.blo;

import org.mohrss.leaf.core.framework.domain.blo.IBLO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.psam.dto.PsamKglDTO;
import com.zjrs.zwnw.psam.dto.PsamQueryFjDTO;
import com.zjrs.zwnw.psam.po.*;

import java.util.Map;

public interface PsamKglBLO extends IBLO{
    //查询列表
    public PageResult getList(PsamKglDTO dto, int page, int rows);
    public void saveRk(RsPsamRkxxbPO rsPsamRkxxbPO);
    public int getCntByPsambh(String psambh);
    public void insertLog(RsPsamLogPO rsPsamLogPO);
    //public void updateKzt(String rsPsamRkxxbLsh,String kzt);
    public void saveFj(RsPsamFjxxbPO rsPsamFjxxbPO);
    public void updateFj(RsPsamFjxxbPO rsPsamFjxxbPO);
    //查询附件记录
    public PageResult getFjList(PsamQueryFjDTO dto, int page, int rows);
    public String insertFfxx(RsPsamFfxxbPO rsPsamFfxxbPO);
    public String getKztByRsPsambh(String psambh,String rsPsamRkxxbLsh);
    public String getRsPsamRkxxbLsh(String psambh);
    public String getPsambh(String rsPsamRkxxbLsh);
    public void updateRkxxb(RsPsamRkxxbPO rsPsamRkxxbPO);
    //单位信息维护：查询列表
    public PageResult kdwwhGetList(PsamKglDTO dto, int page, int rows);
    public Map<String,Object> kdwwhGetInfo(PsamKglDTO dto);
    public String getZtid(String rsPsamYwxxSqbLsh);
    public void updateYwxxSqb(RsPsamYwxxSqbPO rsPsamYwxxSqbPO);
    public int getCntByKlx(String psambh,String klx);

}
